[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.GridFlags

Contains grid-specific state flags active for the control.

## Declaration

Source position: grids.pas line 1264

`protected property TCustomGrid.GridFlags : TGridFlags read FGridFlags write FGridFlags;`

## Description

GridFlags is a TGridFlags property which contains values that indicate the state or status for the grid control or its editor. It is a set type and may contain zero (0) or more values from the TGridFlagsOption enumeration.

Values are included in or excluded from the set as needed during execution of methods in the grid control. See TGridFlagsOption for more information about the values in the enumeration and their meanings.

## See also

TGridFlags |  | Set type used to store TGridFlagsOption enumeration values.
TGridFlagsOption |  | Represents state flags used in a grid control.